PrivacyListHandler Class Referenceabstract

`#include <privacylisthandler.h>`

## Public Types

typedef std::list< PrivacyItem > | PrivacyList

## Public Member Functions

virtual | ~PrivacyListHandler ()
virtual void | handlePrivacyListNames (const std::string &active, const std::string &def, const StringList &lists)=0
virtual void | handlePrivacyList (const std::string &name, const PrivacyList &items)=0
virtual void | handlePrivacyListChanged (const std::string &name)=0
virtual void | handlePrivacyListResult (const std::string &id, PrivacyListResult plResult)=0

## Detailed Description

A virtual interface that allows to retrieve Privacy Lists.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.3

Definition at line 50 of file privacylisthandler.h.

## Member Typedef Documentation

## PrivacyList

typedef std::list<PrivacyItem> PrivacyList

A list of PrivacyItems.

Definition at line 57 of file privacylisthandler.h.

## Constructor & Destructor Documentation

## ~PrivacyListHandler()

virtual ~PrivacyListHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 62 of file privacylisthandler.h.

## Member Function Documentation

## handlePrivacyList()

virtual void handlePrivacyList | ( | const std::string & | name,
|  | const PrivacyList & | items )

pure virtual

Reimplement this function to retrieve the content of a privacy list after requesting it using PrivacyManager::requestList().

Parameters

  name | The name of the list.
  items | A list of PrivacyItem's.

## handlePrivacyListChanged()

virtual void handlePrivacyListChanged | ( | const std::string & | name | ) |

pure virtual

Reimplement this function to be notified about new or changed lists.

Parameters

  name | The name of the new or changed list.

## handlePrivacyListNames()

virtual void handlePrivacyListNames | ( | const std::string & | active,
|  | const std::string & | def,
|  | const StringList & | lists )

pure virtual

Reimplement this function to retrieve the list of privacy list names after requesting it using PrivacyManager::requestListNames().

Parameters

  active | The name of the active list.
  def | The name of the default list.
  lists | All the lists.

## handlePrivacyListResult()

virtual void handlePrivacyListResult | ( | const std::string & | id,
|  | PrivacyListResult | plResult )

pure virtual

Reimplement this function to receive results of stores etc.

Parameters

  id | The ID of the request, as returned by the initiating function.
  plResult | The result of an operation.

The documentation for this class was generated from the following file:

- privacylisthandler.h